Skip to main content

bor_getCurrentProposer

POST

Returns the address of the validator (or proposer) that will propose the current block. This method is used to identify the node responsible for producing the next block on the network. In PoA networks, block production rights rotate or are assigned according to a specific algorithm, and this method allows you to confirm the address of the node currently responsible for block production.
Responses
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "Unauthorized"
}
cURL
curl -X POST 'https://polygon-mainnet.nodit.io' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "bor_getCurrentProposer",
"params": []
}'